//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FitnessClubApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class Abonement
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Abonement()
        {
            this.Klub_Karta = new HashSet<Klub_Karta>();
        }
    
        public int id_abonement { get; set; }
        public string Name { get; set; }
        public Nullable<decimal> Stoimost { get; set; }
        public string Opisanie { get; set; }
        public Nullable<int> Srok__days_ { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Klub_Karta> Klub_Karta { get; set; }
    }
}
